Subject: [stir] Problem in ABNF

From: Marc Petit-Huguenin <[email-masked]>
Date: Wed, 24 Mar 2021 09:53:41 -0700

Hi,

Looking for confirmation before opening an erratum:

The ABNF in section 4 of RFC 8224 says this:

signed-identity-digest = 1*(base64-char / ".")
base64-char = ALPHA / DIGIT / "/" / "+"

But section 7 of RFC 8225, paragraph 4 says that the signature is encoded using BASE64URL, which replaces characters '/' and '+' with '-' and '_', making it incompatible with the ABNF above.  The examples (e.g. in section 7 of RFC 8224) are correct.

A separate issue (as the ABNF seems invalid anyway), it that although it is now permitted to have multiple Identity headers per SIP message, the new format does not permit to put more than one value per header (separated by commas) like can be done on most SIP headers.  Something like this:

Identity = "Identity" HCOLON signed-identities *(COMMA signed-identities)
signed-identities = signed-identity-digest SEMI
              ident-info *( SEMI ident-info-params )

Why that restriction?

Thanks.

-- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: https://marc.petit-huguenin.org
Profile: https://www.linkedin.com/in/petithug

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Fri, 26 Mar 2021 08:17:50 -0700

I will fill the erratum tomorrow, which can then be ignored by the WG like the other errata for RFC 8224, 8225 and 8226 are.